<a id="mypy-boto3-chime"></a>

# mypy-boto3-chime

[![PyPI - mypy-boto3-chime](https://img.shields.io/pypi/v/mypy-boto3-chime.svg?color=blue)](https://pypi.org/project/mypy-boto3-chime)
[![PyPI - Python Version](https://img.shields.io/pypi/pyversions/mypy-boto3-chime.svg?color=blue)](https://pypi.org/project/mypy-boto3-chime)
[![Docs](https://img.shields.io/readthedocs/mypy-boto3-builder.svg?color=blue)](https://mypy-boto3-builder.readthedocs.io/)
[![PyPI - Downloads](https://img.shields.io/pypi/dw/mypy-boto3-chime?color=blue)](https://pypistats.org/packages/mypy-boto3-chime)

![boto3.typed](https://github.com/vemel/mypy_boto3_builder/raw/master/logo.png)

Type annotations for
[boto3.Chime 1.18.39](https://boto3.amazonaws.com/v1/documentation/api/1.18.39/reference/services/chime.html#Chime)
service compatible with [VSCode](https://code.visualstudio.com/),
[PyCharm](https://www.jetbrains.com/pycharm/),
[Emacs](https://www.gnu.org/software/emacs/),
[Sublime Text](https://www.sublimetext.com/),
[mypy](https://github.com/python/mypy),
[pyright](https://github.com/microsoft/pyright) and other tools.

Generated by
[mypy-boto3-builder 5.2.0](https://github.com/vemel/mypy_boto3_builder).

More information can be found on
[boto3-stubs](https://pypi.org/project/boto3-stubs/) page and in
[mypy-boto3-chime docs](https://vemel.github.io/boto3_stubs_docs/mypy_boto3_chime/)

See how it helps to find and fix potential bugs:

![boto3-stubs demo](https://github.com/vemel/mypy_boto3_builder/raw/master/demo.gif)

- [mypy-boto3-chime](#mypy-boto3-chime)
  - [How to install](#how-to-install)
  - [Usage](#usage)
    - [VSCode](#vscode)
    - [PyCharm](#pycharm)
    - [Other IDEs](#other-ides)
    - [mypy](#mypy)
    - [pyright](#pyright)
  - [Explicit type annotations](#explicit-type-annotations)
    - [Client annotations](#client-annotations)
    - [Paginators annotations](#paginators-annotations)
    - [Literals](#literals)
    - [Typed dictionaries](#typed-dictionaries)
  - [Versioning](#versioning)
  - [Documentation](#documentation)
  - [Support and contributing](#support-and-contributing)

<a id="how-to-install"></a>

## How to install

Install `boto3-stubs` for `Chime` service.

```bash
python -m pip install boto3-stubs[chime]
```

<a id="usage"></a>

## Usage

<a id="vscode"></a>

### VSCode

- Install
  [Python extension](https://marketplace.visualstudio.com/items?itemName=ms-python.python)
- Install
  [Pylance extension](https://marketplace.visualstudio.com/items?itemName=ms-python.vscode-pylance)
- Set `Pylance` as your Python Language Server
- Install `boto-stubs[chime]` in your environment:
  `python -m pip install 'boto3-stubs[chime]'`

Both type checking and auto-complete should work for `Chime` service. No
explicit type annotations required, write your `boto3` code as usual.

<a id="pycharm"></a>

### PyCharm

- Install `boto-stubs[chime]` in your environment:
  `python -m pip install 'boto3-stubs[chime]'`

Both type checking and auto-complete should work for `Chime` service. No
explicit type annotations required, write your `boto3` code as usual.
Auto-complete can be slow on big projects or if you have a lot of installed
`boto3-stubs` submodules.

<a id="other-ides"></a>

### Other IDEs

Not tested, but as long as your IDE supports `mypy` or `pyright`, everything
should work.

<a id="mypy"></a>

### mypy

- Install `mypy`: `python -m pip install mypy`
- Install `boto-stubs[chime]` in your environment:
  `python -m pip install 'boto3-stubs[chime]'`
- Run `mypy` as usual

Type checking should work for `Chime` service. No explicit type annotations
required, write your `boto3` code as usual.

<a id="pyright"></a>

### pyright

- Install `pyright`: `yarn global add pyright`
- Install `boto-stubs[chime]` in your environment:
  `python -m pip install 'boto3-stubs[chime]'`
- Optionally, you can install `boto3-stubs` to `typings` folder.

Type checking should work for `Chime` service. No explicit type annotations
required, write your `boto3` code as usual.

<a id="explicit-type-annotations"></a>

## Explicit type annotations

<a id="client-annotations"></a>

### Client annotations

`ChimeClient` provides annotations for `boto3.client("chime")`.

```python
import boto3

from mypy_boto3_chime import ChimeClient

client: ChimeClient = boto3.client("chime")

# now client usage is checked by mypy and IDE should provide code auto-complete

# works for session as well
session = boto3.session.Session(region="us-west-1")
session_client: ChimeClient = session.client("chime")
```

<a id="paginators-annotations"></a>

### Paginators annotations

`mypy_boto3_chime.paginator` module contains type annotations for all
paginators.

```python
from mypy_boto3_chime import ChimeClient
from mypy_boto3_chime.paginator import (
    ListAccountsPaginator,
    ListUsersPaginator,
)

client: ChimeClient = boto3.client("chime")

# Explicit type annotations are optional here
# Type should be correctly discovered by mypy and IDEs
# VSCode requires explicit type annotations
list_accounts_paginator: ListAccountsPaginator = client.get_paginator("list_accounts")
list_users_paginator: ListUsersPaginator = client.get_paginator("list_users")
```

<a id="literals"></a>

### Literals

`mypy_boto3_chime.literals` module contains literals extracted from shapes that
can be used in user code for type checking.

```python
from mypy_boto3_chime.literals import (
    AccountStatusType,
    AccountTypeType,
    AppInstanceDataTypeType,
    BotTypeType,
    CallingNameStatusType,
    CapabilityType,
    ChannelMembershipTypeType,
    ChannelMessagePersistenceTypeType,
    ChannelMessageTypeType,
    ChannelModeType,
    ChannelPrivacyType,
    EmailStatusType,
    ErrorCodeType,
    GeoMatchLevelType,
    InviteStatusType,
    LicenseType,
    ListAccountsPaginatorName,
    ListUsersPaginatorName,
    MediaPipelineSinkTypeType,
    MediaPipelineSourceTypeType,
    MediaPipelineStatusType,
    MemberTypeType,
    NotificationTargetType,
    NumberSelectionBehaviorType,
    OrderedPhoneNumberStatusType,
    OriginationRouteProtocolType,
    PhoneNumberAssociationNameType,
    PhoneNumberOrderStatusType,
    PhoneNumberProductTypeType,
    PhoneNumberStatusType,
    PhoneNumberTypeType,
    ProxySessionStatusType,
    RegistrationStatusType,
    RoomMembershipRoleType,
    SipRuleTriggerTypeType,
    SortOrderType,
    TranscribeLanguageCodeType,
    TranscribeMedicalLanguageCodeType,
    TranscribeMedicalRegionType,
    TranscribeMedicalSpecialtyType,
    TranscribeMedicalTypeType,
    TranscribeRegionType,
    TranscribeVocabularyFilterMethodType,
    UserTypeType,
    VoiceConnectorAwsRegionType,
)

def check_value(value: AccountStatusType) -> bool:
    ...
```

<a id="typed-dictionaries"></a>

### Typed dictionaries

`mypy_boto3_chime.type_defs` module contains structures and shapes assembled to
typed dictionaries for additional type checking.

```python
from mypy_boto3_chime.type_defs import (
    AccountSettingsTypeDef,
    AccountTypeDef,
    AlexaForBusinessMetadataTypeDef,
    AppInstanceAdminSummaryTypeDef,
    AppInstanceAdminTypeDef,
    AppInstanceRetentionSettingsTypeDef,
    AppInstanceStreamingConfigurationTypeDef,
    AppInstanceSummaryTypeDef,
    AppInstanceTypeDef,
    AppInstanceUserMembershipSummaryTypeDef,
    AppInstanceUserSummaryTypeDef,
    AppInstanceUserTypeDef,
    AssociatePhoneNumberWithUserRequestRequestTypeDef,
    AssociatePhoneNumbersWithVoiceConnectorGroupRequestRequestTypeDef,
    AssociatePhoneNumbersWithVoiceConnectorGroupResponseTypeDef,
    AssociatePhoneNumbersWithVoiceConnectorRequestRequestTypeDef,
    AssociatePhoneNumbersWithVoiceConnectorResponseTypeDef,
    AssociateSigninDelegateGroupsWithAccountRequestRequestTypeDef,
    AttendeeTypeDef,
    BatchChannelMembershipsTypeDef,
    BatchCreateAttendeeRequestRequestTypeDef,
    BatchCreateAttendeeResponseTypeDef,
    BatchCreateChannelMembershipErrorTypeDef,
    BatchCreateChannelMembershipRequestRequestTypeDef,
    BatchCreateChannelMembershipResponseTypeDef,
    BatchCreateRoomMembershipRequestRequestTypeDef,
    BatchCreateRoomMembershipResponseTypeDef,
    BatchDeletePhoneNumberRequestRequestTypeDef,
    BatchDeletePhoneNumberResponseTypeDef,
    BatchSuspendUserRequestRequestTypeDef,
    BatchSuspendUserResponseTypeDef,
    BatchUnsuspendUserRequestRequestTypeDef,
    BatchUnsuspendUserResponseTypeDef,
    BatchUpdatePhoneNumberRequestRequestTypeDef,
    BatchUpdatePhoneNumberResponseTypeDef,
    BatchUpdateUserRequestRequestTypeDef,
    BatchUpdateUserResponseTypeDef,
    BotTypeDef,
    BusinessCallingSettingsTypeDef,
    ChannelBanSummaryTypeDef,
    ChannelBanTypeDef,
    ChannelMembershipForAppInstanceUserSummaryTypeDef,
    ChannelMembershipSummaryTypeDef,
    ChannelMembershipTypeDef,
    ChannelMessageSummaryTypeDef,
    ChannelMessageTypeDef,
    ChannelModeratedByAppInstanceUserSummaryTypeDef,
    ChannelModeratorSummaryTypeDef,
    ChannelModeratorTypeDef,
    ChannelRetentionSettingsTypeDef,
    ChannelSummaryTypeDef,
    ChannelTypeDef,
    ConversationRetentionSettingsTypeDef,
    CreateAccountRequestRequestTypeDef,
    CreateAccountResponseTypeDef,
    CreateAppInstanceAdminRequestRequestTypeDef,
    CreateAppInstanceAdminResponseTypeDef,
    CreateAppInstanceRequestRequestTypeDef,
    CreateAppInstanceResponseTypeDef,
    CreateAppInstanceUserRequestRequestTypeDef,
    CreateAppInstanceUserResponseTypeDef,
    CreateAttendeeErrorTypeDef,
    CreateAttendeeRequestItemTypeDef,
    CreateAttendeeRequestRequestTypeDef,
    CreateAttendeeResponseTypeDef,
    CreateBotRequestRequestTypeDef,
    CreateBotResponseTypeDef,
    CreateChannelBanRequestRequestTypeDef,
    CreateChannelBanResponseTypeDef,
    CreateChannelMembershipRequestRequestTypeDef,
    CreateChannelMembershipResponseTypeDef,
    CreateChannelModeratorRequestRequestTypeDef,
    CreateChannelModeratorResponseTypeDef,
    CreateChannelRequestRequestTypeDef,
    CreateChannelResponseTypeDef,
    CreateMediaCapturePipelineRequestRequestTypeDef,
    CreateMediaCapturePipelineResponseTypeDef,
    CreateMeetingDialOutRequestRequestTypeDef,
    CreateMeetingDialOutResponseTypeDef,
    CreateMeetingRequestRequestTypeDef,
    CreateMeetingResponseTypeDef,
    CreateMeetingWithAttendeesRequestRequestTypeDef,
    CreateMeetingWithAttendeesResponseTypeDef,
    CreatePhoneNumberOrderRequestRequestTypeDef,
    CreatePhoneNumberOrderResponseTypeDef,
    CreateProxySessionRequestRequestTypeDef,
    CreateProxySessionResponseTypeDef,
    CreateRoomMembershipRequestRequestTypeDef,
    CreateRoomMembershipResponseTypeDef,
    CreateRoomRequestRequestTypeDef,
    CreateRoomResponseTypeDef,
    CreateSipMediaApplicationCallRequestRequestTypeDef,
    CreateSipMediaApplicationCallResponseTypeDef,
    CreateSipMediaApplicationRequestRequestTypeDef,
    CreateSipMediaApplicationResponseTypeDef,
    CreateSipRuleRequestRequestTypeDef,
    CreateSipRuleResponseTypeDef,
    CreateUserRequestRequestTypeDef,
    CreateUserResponseTypeDef,
    CreateVoiceConnectorGroupRequestRequestTypeDef,
    CreateVoiceConnectorGroupResponseTypeDef,
    CreateVoiceConnectorRequestRequestTypeDef,
    CreateVoiceConnectorResponseTypeDef,
    CredentialTypeDef,
    DNISEmergencyCallingConfigurationTypeDef,
    DeleteAccountRequestRequestTypeDef,
    DeleteAppInstanceAdminRequestRequestTypeDef,
    DeleteAppInstanceRequestRequestTypeDef,
    DeleteAppInstanceStreamingConfigurationsRequestRequestTypeDef,
    DeleteAppInstanceUserRequestRequestTypeDef,
    DeleteAttendeeRequestRequestTypeDef,
    DeleteChannelBanRequestRequestTypeDef,
    DeleteChannelMembershipRequestRequestTypeDef,
    DeleteChannelMessageRequestRequestTypeDef,
    DeleteChannelModeratorRequestRequestTypeDef,
    DeleteChannelRequestRequestTypeDef,
    DeleteEventsConfigurationRequestRequestTypeDef,
    DeleteMediaCapturePipelineRequestRequestTypeDef,
    DeleteMeetingRequestRequestTypeDef,
    DeletePhoneNumberRequestRequestTypeDef,
    DeleteProxySessionRequestRequestTypeDef,
    DeleteRoomMembershipRequestRequestTypeDef,
    DeleteRoomRequestRequestTypeDef,
    DeleteSipMediaApplicationRequestRequestTypeDef,
    DeleteSipRuleRequestRequestTypeDef,
    DeleteVoiceConnectorEmergencyCallingConfigurationRequestRequestTypeDef,
    DeleteVoiceConnectorGroupRequestRequestTypeDef,
    DeleteVoiceConnectorOriginationRequestRequestTypeDef,
    DeleteVoiceConnectorProxyRequestRequestTypeDef,
    DeleteVoiceConnectorRequestRequestTypeDef,
    DeleteVoiceConnectorStreamingConfigurationRequestRequestTypeDef,
    DeleteVoiceConnectorTerminationCredentialsRequestRequestTypeDef,
    DeleteVoiceConnectorTerminationRequestRequestTypeDef,
    DescribeAppInstanceAdminRequestRequestTypeDef,
    DescribeAppInstanceAdminResponseTypeDef,
    DescribeAppInstanceRequestRequestTypeDef,
    DescribeAppInstanceResponseTypeDef,
    DescribeAppInstanceUserRequestRequestTypeDef,
    DescribeAppInstanceUserResponseTypeDef,
    DescribeChannelBanRequestRequestTypeDef,
    DescribeChannelBanResponseTypeDef,
    DescribeChannelMembershipForAppInstanceUserRequestRequestTypeDef,
    DescribeChannelMembershipForAppInstanceUserResponseTypeDef,
    DescribeChannelMembershipRequestRequestTypeDef,
    DescribeChannelMembershipResponseTypeDef,
    DescribeChannelModeratedByAppInstanceUserRequestRequestTypeDef,
    DescribeChannelModeratedByAppInstanceUserResponseTypeDef,
    DescribeChannelModeratorRequestRequestTypeDef,
    DescribeChannelModeratorResponseTypeDef,
    DescribeChannelRequestRequestTypeDef,
    DescribeChannelResponseTypeDef,
    DisassociatePhoneNumberFromUserRequestRequestTypeDef,
    DisassociatePhoneNumbersFromVoiceConnectorGroupRequestRequestTypeDef,
    DisassociatePhoneNumbersFromVoiceConnectorGroupResponseTypeDef,
    DisassociatePhoneNumbersFromVoiceConnectorRequestRequestTypeDef,
    DisassociatePhoneNumbersFromVoiceConnectorResponseTypeDef,
    DisassociateSigninDelegateGroupsFromAccountRequestRequestTypeDef,
    EmergencyCallingConfigurationTypeDef,
    EngineTranscribeMedicalSettingsTypeDef,
    EngineTranscribeSettingsTypeDef,
    EventsConfigurationTypeDef,
    GeoMatchParamsTypeDef,
    GetAccountRequestRequestTypeDef,
    GetAccountResponseTypeDef,
    GetAccountSettingsRequestRequestTypeDef,
    GetAccountSettingsResponseTypeDef,
    GetAppInstanceRetentionSettingsRequestRequestTypeDef,
    GetAppInstanceRetentionSettingsResponseTypeDef,
    GetAppInstanceStreamingConfigurationsRequestRequestTypeDef,
    GetAppInstanceStreamingConfigurationsResponseTypeDef,
    GetAttendeeRequestRequestTypeDef,
    GetAttendeeResponseTypeDef,
    GetBotRequestRequestTypeDef,
    GetBotResponseTypeDef,
    GetChannelMessageRequestRequestTypeDef,
    GetChannelMessageResponseTypeDef,
    GetEventsConfigurationRequestRequestTypeDef,
    GetEventsConfigurationResponseTypeDef,
    GetGlobalSettingsResponseTypeDef,
    GetMediaCapturePipelineRequestRequestTypeDef,
    GetMediaCapturePipelineResponseTypeDef,
    GetMeetingRequestRequestTypeDef,
    GetMeetingResponseTypeDef,
    GetMessagingSessionEndpointResponseTypeDef,
    GetPhoneNumberOrderRequestRequestTypeDef,
    GetPhoneNumberOrderResponseTypeDef,
    GetPhoneNumberRequestRequestTypeDef,
    GetPhoneNumberResponseTypeDef,
    GetPhoneNumberSettingsResponseTypeDef,
    GetProxySessionRequestRequestTypeDef,
    GetProxySessionResponseTypeDef,
    GetRetentionSettingsRequestRequestTypeDef,
    GetRetentionSettingsResponseTypeDef,
    GetRoomRequestRequestTypeDef,
    GetRoomResponseTypeDef,
    GetSipMediaApplicationLoggingConfigurationRequestRequestTypeDef,
    GetSipMediaApplicationLoggingConfigurationResponseTypeDef,
    GetSipMediaApplicationRequestRequestTypeDef,
    GetSipMediaApplicationResponseTypeDef,
    GetSipRuleRequestRequestTypeDef,
    GetSipRuleResponseTypeDef,
    GetUserRequestRequestTypeDef,
    GetUserResponseTypeDef,
    GetUserSettingsRequestRequestTypeDef,
    GetUserSettingsResponseTypeDef,
    GetVoiceConnectorEmergencyCallingConfigurationRequestRequestTypeDef,
    GetVoiceConnectorEmergencyCallingConfigurationResponseTypeDef,
    GetVoiceConnectorGroupRequestRequestTypeDef,
    GetVoiceConnectorGroupResponseTypeDef,
    GetVoiceConnectorLoggingConfigurationRequestRequestTypeDef,
    GetVoiceConnectorLoggingConfigurationResponseTypeDef,
    GetVoiceConnectorOriginationRequestRequestTypeDef,
    GetVoiceConnectorOriginationResponseTypeDef,
    GetVoiceConnectorProxyRequestRequestTypeDef,
    GetVoiceConnectorProxyResponseTypeDef,
    GetVoiceConnectorRequestRequestTypeDef,
    GetVoiceConnectorResponseTypeDef,
    GetVoiceConnectorStreamingConfigurationRequestRequestTypeDef,
    GetVoiceConnectorStreamingConfigurationResponseTypeDef,
    GetVoiceConnectorTerminationHealthRequestRequestTypeDef,
    GetVoiceConnectorTerminationHealthResponseTypeDef,
    GetVoiceConnectorTerminationRequestRequestTypeDef,
    GetVoiceConnectorTerminationResponseTypeDef,
    IdentityTypeDef,
    InviteTypeDef,
    InviteUsersRequestRequestTypeDef,
    InviteUsersResponseTypeDef,
    ListAccountsRequestRequestTypeDef,
    ListAccountsResponseTypeDef,
    ListAppInstanceAdminsRequestRequestTypeDef,
    ListAppInstanceAdminsResponseTypeDef,
    ListAppInstanceUsersRequestRequestTypeDef,
    ListAppInstanceUsersResponseTypeDef,
    ListAppInstancesRequestRequestTypeDef,
    ListAppInstancesResponseTypeDef,
    ListAttendeeTagsRequestRequestTypeDef,
    ListAttendeeTagsResponseTypeDef,
    ListAttendeesRequestRequestTypeDef,
    ListAttendeesResponseTypeDef,
    ListBotsRequestRequestTypeDef,
    ListBotsResponseTypeDef,
    ListChannelBansRequestRequestTypeDef,
    ListChannelBansResponseTypeDef,
    ListChannelMembershipsForAppInstanceUserRequestRequestTypeDef,
    ListChannelMembershipsForAppInstanceUserResponseTypeDef,
    ListChannelMembershipsRequestRequestTypeDef,
    ListChannelMembershipsResponseTypeDef,
    ListChannelMessagesRequestRequestTypeDef,
    ListChannelMessagesResponseTypeDef,
    ListChannelModeratorsRequestRequestTypeDef,
    ListChannelModeratorsResponseTypeDef,
    ListChannelsModeratedByAppInstanceUserRequestRequestTypeDef,
    ListChannelsModeratedByAppInstanceUserResponseTypeDef,
    ListChannelsRequestRequestTypeDef,
    ListChannelsResponseTypeDef,
    ListMediaCapturePipelinesRequestRequestTypeDef,
    ListMediaCapturePipelinesResponseTypeDef,
    ListMeetingTagsRequestRequestTypeDef,
    ListMeetingTagsResponseTypeDef,
    ListMeetingsRequestRequestTypeDef,
    ListMeetingsResponseTypeDef,
    ListPhoneNumberOrdersRequestRequestTypeDef,
    ListPhoneNumberOrdersResponseTypeDef,
    ListPhoneNumbersRequestRequestTypeDef,
    ListPhoneNumbersResponseTypeDef,
    ListProxySessionsRequestRequestTypeDef,
    ListProxySessionsResponseTypeDef,
    ListRoomMembershipsRequestRequestTypeDef,
    ListRoomMembershipsResponseTypeDef,
    ListRoomsRequestRequestTypeDef,
    ListRoomsResponseTypeDef,
    ListSipMediaApplicationsRequestRequestTypeDef,
    ListSipMediaApplicationsResponseTypeDef,
    ListSipRulesRequestRequestTypeDef,
    ListSipRulesResponseTypeDef,
    ListSupportedPhoneNumberCountriesRequestRequestTypeDef,
    ListSupportedPhoneNumberCountriesResponseTypeDef,
    ListTagsForResourceRequestRequestTypeDef,
    ListTagsForResourceResponseTypeDef,
    ListUsersRequestRequestTypeDef,
    ListUsersResponseTypeDef,
    ListVoiceConnectorGroupsRequestRequestTypeDef,
    ListVoiceConnectorGroupsResponseTypeDef,
    ListVoiceConnectorTerminationCredentialsRequestRequestTypeDef,
    ListVoiceConnectorTerminationCredentialsResponseTypeDef,
    ListVoiceConnectorsRequestRequestTypeDef,
    ListVoiceConnectorsResponseTypeDef,
    LoggingConfigurationTypeDef,
    LogoutUserRequestRequestTypeDef,
    MediaCapturePipelineTypeDef,
    MediaPlacementTypeDef,
    MeetingNotificationConfigurationTypeDef,
    MeetingTypeDef,
    MemberErrorTypeDef,
    MemberTypeDef,
    MembershipItemTypeDef,
    MessagingSessionEndpointTypeDef,
    OrderedPhoneNumberTypeDef,
    OriginationRouteTypeDef,
    OriginationTypeDef,
    PaginatorConfigTypeDef,
    ParticipantTypeDef,
    PhoneNumberAssociationTypeDef,
    PhoneNumberCapabilitiesTypeDef,
    PhoneNumberCountryTypeDef,
    PhoneNumberErrorTypeDef,
    PhoneNumberOrderTypeDef,
    PhoneNumberTypeDef,
    ProxySessionTypeDef,
    ProxyTypeDef,
    PutAppInstanceRetentionSettingsRequestRequestTypeDef,
    PutAppInstanceRetentionSettingsResponseTypeDef,
    PutAppInstanceStreamingConfigurationsRequestRequestTypeDef,
    PutAppInstanceStreamingConfigurationsResponseTypeDef,
    PutEventsConfigurationRequestRequestTypeDef,
    PutEventsConfigurationResponseTypeDef,
    PutRetentionSettingsRequestRequestTypeDef,
    PutRetentionSettingsResponseTypeDef,
    PutSipMediaApplicationLoggingConfigurationRequestRequestTypeDef,
    PutSipMediaApplicationLoggingConfigurationResponseTypeDef,
    PutVoiceConnectorEmergencyCallingConfigurationRequestRequestTypeDef,
    PutVoiceConnectorEmergencyCallingConfigurationResponseTypeDef,
    PutVoiceConnectorLoggingConfigurationRequestRequestTypeDef,
    PutVoiceConnectorLoggingConfigurationResponseTypeDef,
    PutVoiceConnectorOriginationRequestRequestTypeDef,
    PutVoiceConnectorOriginationResponseTypeDef,
    PutVoiceConnectorProxyRequestRequestTypeDef,
    PutVoiceConnectorProxyResponseTypeDef,
    PutVoiceConnectorStreamingConfigurationRequestRequestTypeDef,
    PutVoiceConnectorStreamingConfigurationResponseTypeDef,
    PutVoiceConnectorTerminationCredentialsRequestRequestTypeDef,
    PutVoiceConnectorTerminationRequestRequestTypeDef,
    PutVoiceConnectorTerminationResponseTypeDef,
    RedactChannelMessageRequestRequestTypeDef,
    RedactChannelMessageResponseTypeDef,
    RedactConversationMessageRequestRequestTypeDef,
    RedactRoomMessageRequestRequestTypeDef,
    RegenerateSecurityTokenRequestRequestTypeDef,
    RegenerateSecurityTokenResponseTypeDef,
    ResetPersonalPINRequestRequestTypeDef,
    ResetPersonalPINResponseTypeDef,
    ResponseMetadataTypeDef,
    RestorePhoneNumberRequestRequestTypeDef,
    RestorePhoneNumberResponseTypeDef,
    RetentionSettingsTypeDef,
    RoomMembershipTypeDef,
    RoomRetentionSettingsTypeDef,
    RoomTypeDef,
    SearchAvailablePhoneNumbersRequestRequestTypeDef,
    SearchAvailablePhoneNumbersResponseTypeDef,
    SendChannelMessageRequestRequestTypeDef,
    SendChannelMessageResponseTypeDef,
    SigninDelegateGroupTypeDef,
    SipMediaApplicationCallTypeDef,
    SipMediaApplicationEndpointTypeDef,
    SipMediaApplicationLoggingConfigurationTypeDef,
    SipMediaApplicationTypeDef,
    SipRuleTargetApplicationTypeDef,
    SipRuleTypeDef,
    StartMeetingTranscriptionRequestRequestTypeDef,
    StopMeetingTranscriptionRequestRequestTypeDef,
    StreamingConfigurationTypeDef,
    StreamingNotificationTargetTypeDef,
    TagAttendeeRequestRequestTypeDef,
    TagMeetingRequestRequestTypeDef,
    TagResourceRequestRequestTypeDef,
    TagTypeDef,
    TelephonySettingsTypeDef,
    TerminationHealthTypeDef,
    TerminationTypeDef,
    TranscriptionConfigurationTypeDef,
    UntagAttendeeRequestRequestTypeDef,
    UntagMeetingRequestRequestTypeDef,
    UntagResourceRequestRequestTypeDef,
    UpdateAccountRequestRequestTypeDef,
    UpdateAccountResponseTypeDef,
    UpdateAccountSettingsRequestRequestTypeDef,
    UpdateAppInstanceRequestRequestTypeDef,
    UpdateAppInstanceResponseTypeDef,
    UpdateAppInstanceUserRequestRequestTypeDef,
    UpdateAppInstanceUserResponseTypeDef,
    UpdateBotRequestRequestTypeDef,
    UpdateBotResponseTypeDef,
    UpdateChannelMessageRequestRequestTypeDef,
    UpdateChannelMessageResponseTypeDef,
    UpdateChannelReadMarkerRequestRequestTypeDef,
    UpdateChannelReadMarkerResponseTypeDef,
    UpdateChannelRequestRequestTypeDef,
    UpdateChannelResponseTypeDef,
    UpdateGlobalSettingsRequestRequestTypeDef,
    UpdatePhoneNumberRequestItemTypeDef,
    UpdatePhoneNumberRequestRequestTypeDef,
    UpdatePhoneNumberResponseTypeDef,
    UpdatePhoneNumberSettingsRequestRequestTypeDef,
    UpdateProxySessionRequestRequestTypeDef,
    UpdateProxySessionResponseTypeDef,
    UpdateRoomMembershipRequestRequestTypeDef,
    UpdateRoomMembershipResponseTypeDef,
    UpdateRoomRequestRequestTypeDef,
    UpdateRoomResponseTypeDef,
    UpdateSipMediaApplicationCallRequestRequestTypeDef,
    UpdateSipMediaApplicationCallResponseTypeDef,
    UpdateSipMediaApplicationRequestRequestTypeDef,
    UpdateSipMediaApplicationResponseTypeDef,
    UpdateSipRuleRequestRequestTypeDef,
    UpdateSipRuleResponseTypeDef,
    UpdateUserRequestItemTypeDef,
    UpdateUserRequestRequestTypeDef,
    UpdateUserResponseTypeDef,
    UpdateUserSettingsRequestRequestTypeDef,
    UpdateVoiceConnectorGroupRequestRequestTypeDef,
    UpdateVoiceConnectorGroupResponseTypeDef,
    UpdateVoiceConnectorRequestRequestTypeDef,
    UpdateVoiceConnectorResponseTypeDef,
    UserErrorTypeDef,
    UserSettingsTypeDef,
    UserTypeDef,
    VoiceConnectorGroupTypeDef,
    VoiceConnectorItemTypeDef,
    VoiceConnectorSettingsTypeDef,
    VoiceConnectorTypeDef,
)

def get_structure() -> AccountSettingsTypeDef:
    return {
      ...
    }
```

<a id="versioning"></a>

## Versioning

`mypy-boto3-chime` version is the same as related `boto3` version and follows
[PEP 440](https://www.python.org/dev/peps/pep-0440/) format.

<a id="documentation"></a>

## Documentation

All type annotations can be found in
[mypy-boto3-chime docs](https://vemel.github.io/boto3_stubs_docs/mypy_boto3_chime/)

<a id="support-and-contributing"></a>

## Support and contributing

This package is auto-generated. Please reports any bugs or request new features
in [mypy-boto3-builder](https://github.com/vemel/mypy_boto3_builder/issues/)
repository.
